Hardware system requirements

ControlFreak is an Excel template, which means that it only runs within Microsoft Excel on a Windows computer. The installation of ControlFreak is quick and straightforward provided that the requirements below are fulfilled. 

To run ControlFreak you need the same hardware as is required for Microsoft Excel 2007, 2010, 2013 or 2016 (depending on which of these versions you have on your computer.)

The following is a guideline for the required hardware:

Minimum Recommended
Processor Pentium 500 MHz Pentium 1 GHz
RAM 256 MB 2 GB
Hard Disk Space Up to 500 MB 3 GB
Display 768 x 1024, 32 bit 800 x 1280, 32 bit
Internet connection Usually necessary Usually necessary

The Internet connection is only necessary if you during the installation of ControlFreak need to download and install certain prerequisites (Microsoft Windows Installer, Microsoft .NET Framework 4 and Microsoft VSTO Runtime) from Microsoft's servers. The prerequisite installation runs automatically, and only if needed, during the installation of ControlFreak. Once installed ControlFreak doesn't require any Internet connection.

Software system requirements

Before you install and run ControlFreak your computer must have the following software installed:

Required software
Operating system Microsoft Windows Server 2008 R2, Windows Server 2012, Windows 10 Server, Windows Vista SP1, Windows 7 SP1, Windows 8, Windows 8.1, or Windows 10.
Both 32 bit and 64 bit versions of Windows can be used.
Microsoft .NET 4 framework is required and will be installed automatically, if not already present.
It is recommended always to install the most recent Microsoft Windows Service Packs.
Host application Microsoft Excel 2007, Excel 2010, Excel 2013, or Excel 2016.
Both 32 and 64 bit installations of Excel 2010, 2013 and 2016 are supported.
It is recommended always to install the most recent Microsoft Office Service Packs.

Note that:

  1. Other operating systems than the above mentioned are not supported.
  2. Excel 2003 and earlier versions are not supported.